Bug 244822 (pdf2jvu-0.9.17) - converters/pdf2djvu: update to 0.9.17 to prepare for poppler >= 0.86
Summary: converters/pdf2djvu: update to 0.9.17 to prepare for poppler >= 0.86
Status: Closed FIXED
Alias: pdf2jvu-0.9.17
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on:
Blocks: poppler-0.86.1
  Show dependency treegraph
 
Reported: 2020-03-15 08:54 UTC by Tobias C. Berner
Modified: 2020-08-08 13:05 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (samy.mahmoudi)
tcberner: maintainer-feedback?


Attachments
v1 (9.61 KB, patch)
2020-03-15 08:54 UTC, Tobias C. Berner
no flags Details | Diff
Poudriere log (55.05 KB, text/plain)
2020-03-15 17:21 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-03-15 08:54:53 UTC
Created attachment 212423 [details]
v1

Moin moin 

For the poppler upgrade to 0.86, I would like to upgrade pdf2jvu to 0.9.17 [1]

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/pdf2djvu-0.9.17.v1.diff

mfg Tobias

[1] https://github.com/jwilk/pdf2djvu/blob/master/doc/changelog#L1
Comment 1 Samy Mahmoudi 2020-03-15 17:21:05 UTC
Created attachment 212433 [details]
Poudriere log
Comment 2 Samy Mahmoudi 2020-03-15 20:44:08 UTC
Hi Tobias,

Thank you! Poudriere reveals no problem regarding your patch. I also tested the new binary against a PDF file and the conversion went fine.

Besides, I may have found a regression with option MULTITHREADING. I am now upgrading to 12.1 to see whether these systems are affected.
Comment 3 Tobias C. Berner freebsd_committer 2020-03-21 07:11:13 UTC
(In reply to Samy Mahmoudi from comment #2)
Moin moin 

Are you fine with me updating it for now? It blocks 244827 now.


mfg Tobias
Comment 4 Samy Mahmoudi 2020-03-21 12:19:57 UTC
(In reply to Tobias C. Berner from comment #3)
Yes, I am fine with you updating the port. I can't commit the change myself anyway.

Sorry for the blockage, I thought Comment 2 vouched for approval.
Comment 5 Tobias C. Berner freebsd_committer 2020-03-21 12:51:51 UTC
Committed. Thank you.
Comment 6 commit-hook freebsd_committer 2020-03-21 12:52:17 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar 21 12:51:30 UTC 2020
New revision: 528851
URL: https://svnweb.freebsd.org/changeset/ports/528851

Log:
  converters/pdf2djvu: update to 0.9.17

  - Preparation for Poppler upgrade to 0.86.1

  PR:		244822
  Approved by:	Samy Mahmoudi <samy.mahmoudi@gmail.com> (maintainer)

Changes:
  head/converters/pdf2djvu/Makefile
  head/converters/pdf2djvu/distinfo
  head/converters/pdf2djvu/files/patch-gentoo_pdf2djvu-0.9.12-poppler-0.82-4.patch
  head/converters/pdf2djvu/files/patch-pdf-backend.cc
  head/converters/pdf2djvu/files/patch-pdf-dpi.cc
  head/converters/pdf2djvu/files/patch-pdf-unicode.cc
  head/converters/pdf2djvu/files/patch-pdf-unicode.hh
Comment 7 Samy Mahmoudi 2020-08-08 13:05:47 UTC
Hi Tobias,

I had forgotten to report on the aforementioned regression with option MULTITHREADING until you filed bug 248530.

For your information, multithreading is functional again on 12.1-RELEASE, e.g. conversion time is reduced by:
• ~17% with -j2
• ~50% with -j4